Twitter Bootstrap include jQuery?

Twitter Bootstrap v3 include jQuery o devo includere jQuery separatamente? Se include jQuery, quale versione (numero) di jQuery è inclusa e tutte le funzioni jQuery sono disponibili quando si utilizza Bootstrap?

Dritta! Tutti i plugin javascript richiedono l’ultima versione di jQuery.

Proprio qui nei documenti

Ecco il link di rilascio corrente per jQuery

Ci sono un certo numero di elementi per il “prodotto” Bootstrap – uno di questi sono i plugin JavaScript – solo questi richiedono jQuery – e estendono la funzionalità jQuery così sì tutti i metodi / le funzioni di jQuery sono disponibili. Il resto (CSS, Scaffolding, Componenti ecc.) Richiede HTML e CSS (o una combinazione)

jQuery non è incluso nel download di Bootstrap di Twitter – è necessario scaricarlo / collegarlo a una versione CDN di esso

MODIFICARE:

2.X requires atleast 1.7 

Twitter Bootstrap usa jQuery?

Sì, i plugin jQuery richiedono jQuery. E come ha fatto notare Mike, è chiaramente menzionato sul sito.

In tal caso, quale versione (numero) di jQuery viene utilizzata

Anche come ha detto Mike, l’ultima versione

sono disponibili tutte le funzioni jQuery?

Le funzioni jQuery sono disponibili tramite jQuery, non hanno nulla a che fare con Bootstrap. Se si include la libreria jQuery, è ansible utilizzare qualsiasi funzionalità jQuery desiderata.

I plug-in di bootstrap jQuery sono esattamente come tutti gli altri plugin jQuery in cui richiedono il funzionamento di jQuery. Scarica jQuery e includilo nella tua pagina, quindi includi i plug-in di Boostrap.

Non usa una versione specifica di jQuery, ma ottieni l’ultima versione dal sito jQuery .

Tutte le funzioni di jQuery sono disponibili in jQuery (in quale altro modo?), Bootstrap non ha nulla a che fare con esso … ti dà solo alcuni plugin aggiuntivi.